Bug 540189 - Attempt to suspend session failed after network disconnection
Summary: Attempt to suspend session failed after network disconnection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freenx-server
Version: 12
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-22 17:38 UTC by Robin Green
Modified: 2009-12-18 04:34 UTC (History)
2 users (show)

Fixed In Version: 0.7.3-17.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 04:20:22 UTC
Type: ---


Attachments (Terms of Use)

Description Robin Green 2009-11-22 17:38:40 UTC
Description of problem:
If the network connection dies, the session is supposed to be suspended. My log files show that it did try to suspend the session, but when I logged in again after plugging the network cable back in, the session list was empty and so a new session was automatically started.

Interestingly, the processes I was running *are* still running on DISPLAY :1001, they just can't be reconnected to. The new session is on DISPLAY :1002. So maybe the suspend did work, but for some reason the session wasn't added/updated on the session list.

Version-Release number of selected component (if applicable):
freenx-server-0.7.3-15.fc12.i686

How reproducible:
Haven't tried

Comment 1 Robin Green 2009-11-22 18:09:23 UTC
I believe this bug is

http://lists.kde.org/?l=freenx-knx&m=123206911004430&w=2

which is supposedly fixed by this patch

http://bazaar.launchpad.net/~freenx-team/freenx-server/teambzr/revision/91

Comment 2 Fedora Update System 2009-11-23 12:11:59 UTC
freenx-server-0.7.3-17.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/freenx-server-0.7.3-17.fc12

Comment 3 Fedora Update System 2009-11-23 12:12:24 UTC
freenx-server-0.7.3-17.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/freenx-server-0.7.3-17.fc11

Comment 4 Fedora Update System 2009-11-23 12:12:45 UTC
freenx-server-0.7.3-17.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/freenx-server-0.7.3-17.fc10

Comment 5 Fedora Update System 2009-11-25 14:54:37 UTC
freenx-server-0.7.3-17.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12032

Comment 6 Fedora Update System 2009-11-25 14:59:30 UTC
freenx-server-0.7.3-17.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-12041

Comment 7 Fedora Update System 2009-11-25 15:17:35 UTC
freenx-server-0.7.3-17.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12123

Comment 8 Fedora Update System 2009-12-18 04:19:58 UTC
freenx-server-0.7.3-17.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-12-18 04:34:28 UTC
freenx-server-0.7.3-17.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.